body{
  font-family: "Raleway", sans-serif;
}

header{
  font-family: "Raleway", sans-serif;
}

.navbar-container {
  padding: 1px 1rem 1px 1rem;
}

.avatar {
  width: 55px;
  height: 50px;
  border-radius: 50%;
  vertical-align: middle;
  margin-left: 1rem;
  overflow: hidden;
}

.navbar-brand {
  width: 11rem;
  height: 5rem;
}

.search-bar-style {
  padding-top: 16px;
  width: 100%;
}

.cards-size{
  height: 15rem;
  object-fit: contain;
}

.cart-btn{
  color: #0d6efd;
}

.cards-style{
  width: 70rem;
}

#search-bar-style, #search-bar-style2{
  padding-left: 3rem;
  border-radius: 21px;
}
.mobile-search-form{
  width: 100%;
  margin :0 10%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.nav-bar-style {
  background-color: #5D4954;
}

#nav-opacity-style {
  opacity: 0.8;
}

#navbarSupportedContent .navbar-nav{
  display: flex;
  /*width: 267px;*/
}

/* responsive toggle css */
@media screen and (max-width:992px){
  #navbarSupportedContent .navbar-nav{
    display: grid;
    width: 100%;
    justify-content: center;
    margin: 0;
  }

  #navbarSupportedContent #nav-cart-icon {
    display: flex;
    /*width: 100% !important;*/
    justify-content: center;
    margin: 0;
    padding: 0;
  }

}

#navbarSupportedContent .navbar-nav li {
  position: relative;
  width: 70px;
  height: 70px;
  z-index: 1;
}

#navbarSupportedContent .navbar-nav li a {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  width: 100%;
  text-align: center;
  font-weight: 500;
}

#navbarSupportedContent .navbar-nav li a .icon {
  position: relative;
  display: block;
  line-height: 60px;
  font-size: 1.5em;
  text-align: center;
  transition: 0.5s;
  color: #222327;
}

#navbarSupportedContent ul li:hover a .icon {
  transform: translateY(-25px);
}

#navbarSupportedContent ul li a span {
  position: absolute;
  color: #222327;
  font-weight: 400;
  font-size: 0.75em;
  letter-spacing: 0.05em;
  transition: 0.5s;
  opacity: 0;
  transform: translateY(20px);
}

#navbarSupportedContent ul li:hover a span {
  opacity: 1;
  transform: translateY(10px);
}

.uk-card{
  position: initial;
}

#navbarSupportedContent #nav-cart-icon {
  display: flex;
}

#navbarSupportedContent #nav-cart-icon li {
  position: relative;
  width: 70px;
  height: 70px;
  z-index: 1;
  list-style: none;
}

#navbarSupportedContent #nav-cart-icon li a {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  width: 100%;
  text-align: center;
  font-weight: 500;
}

#navbarSupportedContent #nav-cart-icon li a i {
  position: relative;
  display: block;
  line-height: 54px;
  font-size: 1.5em;
  text-align: center;
  transition: 0.5s;
  color: #222327;
}

#navbarSupportedContent #nav-cart-icon li:hover a i {
  text-decoration: none;
  transform: translateY(-25px);
}

#navbarSupportedContent #nav-cart-icon li a span {
  position: absolute;
  color: #222327;
  font-weight: 400;
  font-size: 0.75em;
  letter-spacing: 0.05em;
  transition: 0.5s;
  opacity: 0;
  transform: translateY(20px);
}

#navbarSupportedContent #nav-cart-icon li:hover a span {
  opacity: 1;
  transform: translateY(10px);
}

#nav-cart-icon {
  padding-right: 0.3rem;
  height: 47px;
}

.sign-in-line-style {
  list-style: none;
}

.non-logIn-style {
  font-weight: 600;
  font-size: 23px;
  color: #222327;
}

.log-in-decoration {
  text-decoration: none !important;
}

@media (min-width: 992px) {
  .mobile-search-form{
    display: none;
  }
}
@media (max-width: 992px){
  .navbar-collapse {
    flex-direction:column;
  }
  .nav-mid .uk-search{
    display: none;
  }
  .navbar-container{
    justify-content: center !important;
    padding: 2rem;
  }
}
.navbar-collapse{
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nav-left,.nav-mid,.nav-right{
  display: flex;
  align-items:center;
}
.nav-left{
  flex-grow: 1;
}
.nav-mid{
  flex-grow: 4;
}
.nav-right{
  flex-grow: 1;
  display: flex;
  justify-content: flex-end;
}

.first-selector-margin{
  margin-top: 10px;
}

.filter-container{
  display: flex;
  flex-wrap: wrap;
}

.filter-button-padding {
  padding: 15px;
  border: transparent;
}

.loginColor{
  border: 0;
}
